/*
 * Instance header file for ATSAME54P20A
 *
 * Copyright (c) 2025 Microchip Technology Inc. and its subsidiaries.
 *
 * SPDX-License-Identifier: Apache-2.0
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

/* file generated from device description file (ATDF) version 2023-03-17T09:50:08Z */
#ifndef _SAME54_ADC0_INSTANCE_
#define _SAME54_ADC0_INSTANCE_


/* ========== Instance Parameter definitions for ADC0 peripheral ========== */
#define ADC0_BANDGAP                             (27)       /* MUXPOS value to select BANDGAP */
#define ADC0_CTAT                                (29)       /* MUXPOS value to select CTAT */
#define ADC0_DMAC_ID_RESRDY                      (68)       /* index of DMA RESRDY trigger */
#define ADC0_DMAC_ID_SEQ                         (69)       /* Index of DMA SEQ trigger */
#define ADC0_EXTCHANNEL_MSB                      (15)       /* Number of external channels */
#define ADC0_GCLK_ID                             (40)       /* index of Generic Clock */
#define ADC0_INSTANCE_ID                         (103)      /* Instance index for ADC0 */
#define ADC0_MASTER_SLAVE_MODE                   (1)        /* ADC Master/Slave Mode */
#define ADC0_OPAMP01                             (0)        /* MUXPOS value to select OPAMP01 */
#define ADC0_OPAMP2                              (0)        /* MUXPOS value to select OPAMP2 */
#define ADC0_PTAT                                (28)       /* MUXPOS value to select PTAT */
#define ADC0_TOUCH_IMPLEMENTED                   (1)        /* TOUCH implemented or not */
#define ADC0_TOUCH_LINES_NUM                     (32)       /* Number of touch lines */

#endif /* _SAME54_ADC0_INSTANCE_ */
