/*
 * Instance header file for ATSAME54P20A
 *
 * Copyright (c) 2025 Microchip Technology Inc. and its subsidiaries.
 *
 * SPDX-License-Identifier: Apache-2.0
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

/* file generated from device description file (ATDF) version 2023-03-17T09:50:08Z */
#ifndef _SAME54_DAC_INSTANCE_
#define _SAME54_DAC_INSTANCE_


/* ========== Instance Parameter definitions for DAC peripheral ========== */
#define DAC_CHANNEL_SIZE                         (2)        /* Number of DACs */
#define DAC_DATA_SIZE                            (12)       /* Number of bits in data */
#define DAC_DMAC_ID_EMPTY0                       (72)       /* Index of DMA DAC Channel 0 Empty request */
#define DAC_DMAC_ID_EMPTY1                       (73)       /* Index of DMA DAC Channel 1 Empty request */
#define DAC_DMAC_ID_RESRDY0                      (74)       /* Index of DMA DAC Channel 0 Result Ready request */
#define DAC_DMAC_ID_RESRDY1                      (75)       /* Index of DMA DAC Channel 1 Result Ready request */
#define DAC_GCLK_ID                              (42)       /* Index of Generic Clock */
#define DAC_INSTANCE_ID                          (105)      /* Instance index for DAC */
#define DAC_STEP                                 (7)        /* Number of steps to reach full scale */

#endif /* _SAME54_DAC_INSTANCE_ */
