/*
 * Instance header file for ATSAME54P20A
 *
 * Copyright (c) 2025 Microchip Technology Inc. and its subsidiaries.
 *
 * SPDX-License-Identifier: Apache-2.0
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

/* file generated from device description file (ATDF) version 2023-03-17T09:50:08Z */
#ifndef _SAME54_GCLK_INSTANCE_
#define _SAME54_GCLK_INSTANCE_


/* ========== Instance Parameter definitions for GCLK peripheral ========== */
#define GCLK_GENCTRL0_RESETVALUE                 (106)      /* Default specific reset value for generator 0 */
#define GCLK_GENDIV_BITS                         (16)
#define GCLK_GEN_BITS                            (4)
#define GCLK_GEN_NUM                             (12)       /* Number of Generic Clock Generators */
#define GCLK_GEN_NUM_MSB                         (11)       /* Number of Generic Clock Generators - 1 */
#define GCLK_GEN_SOURCE_NUM_MSB                  (8)        /* Number of Generic Clock Sources - 1 */
#define GCLK_INSTANCE_ID                         (7)        /* Instance index for GCLK */
#define GCLK_IO_NUM                              (8)        /* Number of Generic Clock I/Os */
#define GCLK_NUM                                 (48)       /* Number of Generic Clock Users */
#define GCLK_SOURCE_BITS                         (4)
#define GCLK_SOURCE_NUM                          (9)        /* Number of Generic Clock Sources */

#endif /* _SAME54_GCLK_INSTANCE_ */
