/*
 * Instance header file for ATSAME54P20A
 *
 * Copyright (c) 2025 Microchip Technology Inc. and its subsidiaries.
 *
 * SPDX-License-Identifier: Apache-2.0
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

/* file generated from device description file (ATDF) version 2023-03-17T09:50:08Z */
#ifndef _SAME54_I2S_INSTANCE_
#define _SAME54_I2S_INSTANCE_


/* ========== Instance Parameter definitions for I2S peripheral ========== */
#define I2S_CLK_NUM                              (2)        /* Number of clock units */
#define I2S_DMAC_ID_RX_0                         (76)       /* Index of DMA RX Trigger 0 */
#define I2S_DMAC_ID_RX_1                         (77)       /* Index of DMA RX Trigger 1 */
#define I2S_DMAC_ID_TX_0                         (78)       /* Index of DMA TX Trigger 0 */
#define I2S_DMAC_ID_TX_1                         (79)       /* Index of DMA TX Trigger 1 */
#define I2S_GCLK_ID_0                            (43)       /* Index of Generic Clock 0 */
#define I2S_GCLK_ID_1                            (44)       /* Index of Generic Clock 1 */
#define I2S_INSTANCE_ID                          (106)      /* Instance index for I2S */
#define I2S_MAX_SLOTS                            (8)        /* Max number of data slots in frame */
#define I2S_MAX_WL_BITS                          (32)       /* Max number of bits in data samples */
#define I2S_SER_NUM                              (2)        /* Number of serializers */

#endif /* _SAME54_I2S_INSTANCE_ */
