/*
 * Instance header file for ATSAME54P20A
 *
 * Copyright (c) 2025 Microchip Technology Inc. and its subsidiaries.
 *
 * SPDX-License-Identifier: Apache-2.0
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

/* file generated from device description file (ATDF) version 2023-03-17T09:50:08Z */
#ifndef _SAME54_RTC_INSTANCE_
#define _SAME54_RTC_INSTANCE_


/* ========== Instance Parameter definitions for RTC peripheral ========== */
#define RTC_DMAC_ID_TIMESTAMP                    (1)        /* DMA RTC timestamp trigger */
#define RTC_GPR_NUM                              (4)        /* Number of General-Purpose Registers */
#define RTC_INSTANCE_ID                          (9)        /* Instance index for RTC */
#define RTC_NUM_OF_ALARMS                        (2)        /* Number of Alarms */
#define RTC_NUM_OF_BKREGS                        (8)        /* Number of Backup Registers */
#define RTC_NUM_OF_COMP16                        (4)        /* Number of 16-bit Comparators */
#define RTC_NUM_OF_COMP32                        (2)        /* Number of 32-bit Comparators */
#define RTC_NUM_OF_TAMPERS                       (5)        /* Number of Tamper Inputs */
#define RTC_PER_NUM                              (8)        /* Number of Periodic Intervals */

#endif /* _SAME54_RTC_INSTANCE_ */
