/*
 * Instance header file for ATSAME54P20A
 *
 * Copyright (c) 2025 Microchip Technology Inc. and its subsidiaries.
 *
 * SPDX-License-Identifier: Apache-2.0
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

/* file generated from device description file (ATDF) version 2023-03-17T09:50:08Z */
#ifndef _SAME54_TC6_INSTANCE_
#define _SAME54_TC6_INSTANCE_


/* ========== Instance Parameter definitions for TC6 peripheral ========== */
#define TC6_CC_NUM                               (2)
#define TC6_DMAC_ID_MC0                          (63)       /* Indexes of DMA Match/Compare 0 trigger */
#define TC6_DMAC_ID_MC1                          (64)       /* Indexes of DMA Match/Compare 1 trigger */
#define TC6_DMAC_ID_OVF                          (62)       /* Indexes of DMA Overflow trigger */
#define TC6_EXT                                  (0)        /* Coding of implemented extended features (keep 0 value) */
#define TC6_GCLK_ID                              (39)       /* Index of Generic Clock */
#define TC6_INSTANCE_ID                          (101)      /* Instance index for TC6 */
#define TC6_MASTER_SLAVE_MODE                    (1)        /* TC type 0 : NA, 1 : Master, 2 : Slave */
#define TC6_OW_NUM                               (2)        /* Number of Output Waveforms */

#endif /* _SAME54_TC6_INSTANCE_ */
